<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>User</title>
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
    <script src="js/formUtils.js"></script>
    <script src="js/ajaxUtils.js"></script>
    <script src="js/user.js"></script>
    <link rel="stylesheet" href="css/reset.css">
    <link rel="stylesheet" href="css/bootstrap.min.css">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.3/css/all.css" integrity="sha384-UHRtZLI+pbxtHCWp1t77Bi1L4ZtiqrqD80Kn4Z8NTSRyMA2Fd33n5dQ8lWUE00s/" crossorigin="anonymous">
    <link rel="stylesheet" href="css/user.css">
</head>
<body>
    <header class="bg-light">
        <div class="container">
            <nav class="navbar navbar-expand-lg justify-content-between">
                <a class="navbar-brand text-dark" href="home.html">
                    <img src="img/logo.png" width="30" height="30" alt="">
                    Instagram
                </a>
                <div>
                    <form id="navbar-search-form" class="form-inline my-2 my-lg-0">
                        <input id="navbar-search" name="userName" autocomplete="off" class="form-control form-control-sm mr-sm-2" type="search" placeholder="Search" aria-label="Search">
                    </form>
                    <div id="navbar-search-body" class="modal-body" style="display: none; position: absolute; left: 50%; transform: translateX(-50%); z-index: 2; height: 400px; width: 400px; background: white">

                    </div>


                </div>

                <div class="row">
                    <button data-toggle="modal" data-target="#create-post-modal" class="btn btn-primary btn-sm mr-3">Create Post</button>
                    <a href="/logout" class="btn btn-dark btn-sm">Log Out</a>
                </div>
            </nav>
        </div>
    </header>
    <div class="user-info mt-5">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-2 mr-5">
                    <a id="user-photo-button" class="d-inline-block user-photo rounded-circle" data-toggle="modal" data-target="#update-photo-modal" href="#"><img id="user-photo" class="user-photo rounded-circle" src="" alt=""></a>
                </div>
                <div class="col-4 d-flex flex-column justify-content-center">
                    <div class="row mb-3 align-items-center">
                        <div class="col-8">
                            <p id="user-login" class="h2"></p>
                        </div>
                        <div class="col-4">
                            <button id="edit-profile-button" type="button" data-toggle="modal" data-target="#edit-profile-modal" class="btn btn-secondary btn-sm h-50">Edit Profile</button>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-4">
                            <p><span id="post-count" class="font-weight-bold"></span> posts</p>
                        </div>
                        <div class="col-4">
                            <a id="followers-button" href="#" data-toggle="modal" data-target="#followers-modal" class="text-dark card-link"><span id="followers-count" class="font-weight-bold"></span> followers</a>
                        </div>
                        <div class="col-4">
                            <a id="following-button" href="#" data-toggle="modal" data-target="#following-modal" class="text-dark card-link"><span id="following-count" class="font-weight-bold"></span> following</a>
                        </div>
                    </div>
                    <p id="user-name" class="h4 font-weight-light"></p>
                </div>
            </div>
        </div>
    </div>
    <div class="container">
        <div id="user-posts" class="mt-5">
            <p class="h2 text-center mb-3">Posts</p>
        </div>
    </div>


    <div class="modal fade" id="edit-profile-modal" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header" >
                    <h5 class="modal-title">Edit Profile</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <form id="edit-profile-form" action="/user/update" method="post">
                        <div class="form-group justify-content-start">
                            <div class="form-row mb-3">
                                <div class="col">
                                    <span class="font-weight-bold">First Name</span>
                                    <input type="text" name="firstName" class="form-control form-control-lg" placeholder="First Name">
                                </div>
                                <div class="col">
                                    <span class="font-weight-bold">Last Name</span>
                                    <input type="text" name="lastName" class="form-control form-control-lg" placeholder="Last Name">
                                </div>
                            </div>
                            <div class="form-row mb-3">
                                <span class="font-weight-bold">User Name</span>
                                <input type="text" name="userName" class="form-control form-control-lg" placeholder="Login" required>
                            </div>
                            <div class="form-row mb-5">
                                <span class="font-weight-bold">Email</span>
                                <input type="email" name="email" class="form-control form-control-lg" placeholder="Email">
                            </div>
                            <div class="form-row">
                                <input type="submit" id="submit-update-user" class="btn btn-primary btn-block btn-lg" value="Apply Changes">
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="followers-modal" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Followers</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div id="followers-modal-body" class="modal-body" style="overflow-y:scroll; height: 400px">
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="following-modal" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Following</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div id="following-modal-body" class="modal-body" style="overflow-y:scroll; height: 400px">
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="update-photo-modal" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header" >
                    <h5 class="modal-title">Upload new photo</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <form id="update-photo-form">
                        <div class="form-row mb-5">
                            <input id="update-photo-input" type="file" accept="image/**" name="photo" class="form-control-file" placeholder="Choose file" required>
                        </div>
                        <div class="form-row">
                            <input type="submit" id="submit-update-photo" class="btn btn-primary btn-block btn-lg" value="Apply Changes" disabled>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="create-post-modal" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header" >
                    <h5 class="modal-title">Create Post</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <form id="create-post-form" action="/post/create" method="post" enctype="multipart/form-data">
                        <div class="form-row mb-5">
                            <span class="font-weight-bold">Add post description</span>
                            <input type="text" name="text" class="form-control-plaintext" placeholder="Post text">
                        </div>
                        <div class="form-row mb-5">
                            <input id="create-post-photo" type="file" accept="image/**" name="photo" class="form-control-file" placeholder="Choose file" required>
                        </div>
                        <div class="form-row">
                            <input type="submit" id="submit-create-post" class="btn btn-primary btn-block btn-lg" value="Apply Changes">
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="post-modal" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-xl" role="document">
            <div class="modal-content">
                <div class="modal-body p-0">
                    <div class="row">
                        <div class="col-7">
                            <div class="overflow-hidden position-relative" style="padding-bottom:100%;">
                                <img class="position-absolute cover-image" id="post-modal-image" src="" alt="">
                            </div>
                        </div>
                        <div class="col-5 d-flex flex-column">
                            <div class="row mb-2 mt-2 align-items-center">
                                <div class="col-1 p-0">
                                    <div class="overflow-hidden position-relative" style="padding-bottom:100%;">
                                        <img id="post-user-photo" class="position-absolute cover-image rounded-circle" src="" alt="">
                                    </div>
                                </div>
                                <div class="col-10">
                                    <span id="post-user-name" class="mw-100 h4" style="word-wrap: break-word"></span>
                                </div>

                            </div>
                            <div class="row flex-nowrap">
                                <a id="post-modal-likes-add" href=""><i></i></a>
                                <span id="post-modal-likes" class="font-weight-light w-100" ></span>
                            </div>
                            <div class="row" style="max-height: 100px;overflow-y: scroll; overflow-x:hidden;margin-right: 0">
                                <span class="mw-100" style="word-wrap: break-word;" id="post-modal-text"></span>
                            </div>
                            <div id="post-modal-comments" style="overflow-y: scroll; overflow-x:hidden; max-height: 400px; margin-left: -15px"></div>
                            <div class="row mt-auto">
                                <form id="post-comment-form" class="input-group w-75 mb-3">
                                    <input id="post-comment-input" class="w-100" style="border: none; outline:none;" type="text" name="commentText" placeholder="Add comment" aria-label="Add comment">
                                </form>
                            </div>
                        </div>
                    </div>
                    <span id="post-modal-id" class="d-none"></span>
                    </div>
                </div>
            </div>
        </div>
    </div>

</body>
</html>